# Makefile.rl --
#
# Part of: MHTCL
# Contents: project Makefile
# Date: Sun Feb  2, 2003
#
# Abstract
#
#	This is the Makefile for the MHTCL TCL extension.
#
# Copyright (C) 2002, 2003, 2004 Marco Maggi.
#
# This  is free  software; you  can redistribute  it and/or  modify it
# under  the  terms  of  the  GNU Lesser  General  Public  License  as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
# 
# This library is  distributed in the hope that it  will be useful, but
# WITHOUT  ANY   WARRANTY;  without   even  the  implied   warranty  of
# MERCHANTABILITY  or FITNESS FOR  A PARTICULAR  PURPOSE.  See  the GNU
# Lesser General Public License for more details.
# 
# You  should have received  a copy  of the  GNU Lesser  General Public
# License along with  this library; if not, write  to the Free Software
# Foundation, Inc.,  59 Temple Place, Suite 330,  Boston, MA 02111-1307
# USA
#

#PAGE
## ------------------------------------------------------------
## Source files.
## ------------------------------------------------------------

TCLMORE_DEV_SCRIPTS_DIR	= @TCLMORE_DEV_SCRIPTS_DIR@
ifeq (,$(TCLMORE_DEV_SCRIPTS_DIR))
TCLMORE_DEV_SCRIPTS_DIR	= $(libexecdir)/tclmore_@TCLMORE_XVERSION@
endif

$(PACKAGE_NAME)_SOURCES	= init.c commands.c interface.c channel.c
$(PACKAGE_NAME)_HEADERS	= $(top_srcdir)/generic/mhtcl.h \
			  $(top_srcdir)/generic/mhtclDecls.h

$($(PACKAGE_NAME)_SOURCES:.c=.$(OBJEXT)): mhtclDecls.h mhtclInt.h

commands.o: $(top_srcdir)/generic/declaration.c

%.o: mhtclInt.h mhtclDecl.h


TCLSH			= @TCLSH@
XMLPP			= xmlpp.tcl
TCLCOMMAND_TCL2DATA	= $(TCLMORE_DEV_SCRIPTS_DIR)/tclcommand.tcl2data
TCLCOMMAND_DATA2DECL	= $(TCLMORE_DEV_SCRIPTS_DIR)/tclcommand.data2declaration

.INTERMEDIATE: $(top_srcdir)/xml/declaration.tcl

$(top_srcdir)/generic/declaration.c: $(top_srcdir)/xml/declaration.tcl
	$(TCLCOMMAND_DATA2DECL) <$(<) >$(@)

$(top_srcdir)/xml/%.tcl: $(top_srcdir)/xml/%.xml
	$(XMLPP) <$(<) | $(TCLCOMMAND_TCL2DATA) >$(@)

#PAGE
## ------------------------------------------------------------
## Autoconf files.
## ------------------------------------------------------------

autoconf_INSTLST	= $(builddir)/aclocal/mhtcl.m4
autoconf_INSTDIR	= $(datadir)/aclocal

.PHONY: autoconf-install

autoconf-install:
AM_INSTALL_DATA(autoconf)

dev-install: autoconf-install


### end of file
# Local Variables:
# mode: makefile
# page-delimiter: "^#PAGE"
# End:
