/* mhtclInt.h --
   
   Part of: MHTCL
   Contents: internal include file
   Date: Sun Nov  3, 2002
   
   Abstract
   
	This  is the  internal header  file:  it's included  in all  the
	source code files.
   
   Copyright (c) 2002, 2003, 2004 Marco Maggi
   
   This library is free software;  you can redistribute it and/or modify
   it  under the  terms  of the  GNU  Lesser General  Public License  as
   published by the Free Software  Foundation; either version 2.1 of the
   License, or (at your option) any later version.
   
   This library is  distributed in the hope that it  will be useful, but
   WITHOUT  ANY   WARRANTY;  without   even  the  implied   warranty  of
   MERCHANTABILITY  or FITNESS FOR  A PARTICULAR  PURPOSE.  See  the GNU
   Lesser General Public License for more details.
   
   You  should have received  a copy  of the  GNU Lesser  General Public
   License along with  this library; if not, write  to the Free Software
   Foundation, Inc.,  59 Temple Place, Suite 330,  Boston, MA 02111-1307
   USA
*/

#ifndef __MHTCLINT_H
#define __MHTCLINT_H 1


/** ------------------------------------------------------------
 ** Header files.
 ** ----------------------------------------------------------*/

#include <tcl.h>
#include <tclmore.h>

TCLMORE_BEGIN_C_DECL


/** ------------------------------------------------------------
 ** Symbols.
 ** ----------------------------------------------------------*/

/*
  Windows  needs  to know  which  symbols  to  export.  Unix  does  not.
  BUILD_mhtcl should be undefined for Unix.
*/

#ifdef BUILD_mhtcl
#  undef TCL_STORAGE_CLASS
#  define TCL_STORAGE_CLASS DLLEXPORT
#endif 

#define debug		More_Debug
#define question	More_Question


/** ------------------------------------------------------------
 ** Include files.
 ** ----------------------------------------------------------*/

#include "mhtclDecls.h"


/** ------------------------------------------------------------
 ** Prototypes.
 ** ----------------------------------------------------------*/

EXTERN int	Mhtcl_Init		_ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int	Mhtcl_SafeInit		_ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int	Mhtcl_CreateCommands	_ANSI_ARGS_((Tcl_Interp *interp));


/** ------------------------------------------------------------
 ** Global variables.
 ** ----------------------------------------------------------*/

EXTERN CONST Mhtcl_StubTable	mhtclStub;


TCLMORE_END_C_DECL

#endif /* _MHTCLINT_H */

/* end of file */
